import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable, throwError } from 'rxjs';
import { catchError, retry } from 'rxjs/operators';
import { User } from './user';
import { Discoteca } from './discoteca';

@Injectable({
  providedIn: 'root'
})
export class ApiService {

  constructor(private http: HttpClient) {

   }


  validateUser(loginUser: string, loginPassword: string): boolean{
      return (loginUser=='');
  }

  getUser (loginUser: string): void{

  }

  postNewUser(user: User): void{

  }

  postNewDiscoteca(discoteca: Discoteca): void{
    
  }
}
